%define pkgname gnupg
%define subrel 	2

Summary:	GNU privacy guard - a free PGP replacement
Name:		gnupg2
Version:	1.9.22
Release:	%mkrel 2
License:	GPL
Group:		File tools
URL:		http://www.gnupg.org
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/%{pkgname}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Patch0:		gnupg-1.9.3-use-ImageMagick-for-photo.patch.bz2
Patch1:		gnupg-1.9.19-docbookfix.patch.bz2
Patch2:		gnupg-1.4.2.2-CVE-2006-3082.patch
Patch3:		gnupg-1.9.22-CVE-2006-6169.patch
Patch4:		filter-context-19-small.diff

BuildRequires:	openldap-devel
BuildRequires:  sendmail-command
BuildRequires:	libgpg-error-devel >= 0.7
BuildRequires:	libgcrypt-devel >= 1.1.94
BuildRequires:	libassuan-devel >= 0.6.9
# >= 0.9.12 is required by gnupg 1.9.19
BuildRequires:	libksba-devel >= 0.9.12
BuildRequires:	opensc-devel >= 0.8.0
BuildRequires:	zlib-devel
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:  docbook-utils
Requires(post):	/sbin/install-info
Requires(postun): /sbin/install-info
Requires:	/sbin/install-info
Obsoletes:	newpg
Provides:	newpg = %{version}-%{release}
Requires:	dirmngr
Requires:	pinentry
Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep

%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .ImageMagick
%patch1 -p1 -b .docbookfix
%patch2 -p1 -b .cve-2006-3082
%patch3 -p1 -b .cve-2006-6169
%patch4 -p1 -b .cve-2006-6235

%build
# (Abel) set correct helper path... though useless. gnupg 2 can't
# use gnupg 1.2 keyserver helpers, it can only work with helpers from
# gnupg 1.3 -- that means it's pretty useless for everybody except me :-P
%define _libexecdir %{_libdir}/gnupg

autoconf
%configure2_5x
%make

# all tests must pass on i586 and x86_64
make check

%install
rm -rf %{buildroot}

%makeinstall_std

# remove this from package because the content of options.skel is the
# identical for both gnupg 1/2, except for comment
rm -rf %{buildroot}%{_datadir}/gnupg

%find_lang %{name}

%post
%_install_info gnupg.info

%postun
%_remove_install_info gnupg.info

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README NEWS THANKS TODO ChangeLog
%attr(4755,root,root) %{_bindir}/gpgsm
%{_bindir}/gpg-agent
%{_bindir}/gpgconf
%{_bindir}/kbxutil
%{_bindir}/sc*
%{_bindir}/watchgnupg
%{_bindir}/gpgsm-gencert.sh
%{_bindir}/gpgkey2ssh
%{_bindir}/gpg-connect-agent
%{_bindir}/gpgparsemail
%{_sbindir}/addgnupghome
%dir %{_libdir}/gnupg
%{_libdir}/gnupg/gpg-preset-passphrase
%{_libdir}/gnupg/gpg-protect-tool
%{_libdir}/gnupg/pcsc-wrapper
#%{_datadir}/gnupg
%{_infodir}/gnupg.info*
# gpg2 not built by default, you must use gnupg 1.4 (Arnaud de Lorbeau)
#%attr(4755,root,root) %{_bindir}/gpg2
#%{_bindir}/gpgv2


%changelog
* Tue Dec 05 2006 Stew Benedict <sbenedict@mandriva.com> 1.9.22-2.2mdv2007.0
- P4: security fix for CVE-2006-6235

* Thu Nov 30 2006 Stew Benedict <sbenedict@mandriva.com> 1.9.22-2.1mdv2007.0
- P3: security fix for CVE-2006-6169

* Wed Aug 30 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-30 23:31:13 (58916)
- re-enable test on x86_64, it's working now (#20078)

* Thu Aug 24 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-24 19:02:04 (57929)
- updated to version 1.9.22, fixing CVE-2006-3746

* Thu Aug 24 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-24 18:24:38 (57921)
- Import gnupg2


* Wed Jun 21 2006 Oden Eriksson <oeriksson@mandriva.com> 1.9.20-3mdv2007.0
- added a security fix for CVE-2006-3082 (P2)

* Fri Jan 20 2006 Andreas Hasenack <andreas@mandriva.com> 1.9.20-2mdk
- skipping make check on x86_64, see:
  http://qa.mandriva.com/show_bug.cgi?id=20078

* Mon Jan 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.9.20-1mdk
- updated to version 1.9.20
- added new binary (gpgparsemail)
- Prereq -> Requires(foo)

* Fri Dec  2 2005 Andreas Hasenack <andreas@mandriva.com> 1.9.19-1mdk
- updated to version 1.9.19
- removed 64bit fixes patch, already applied
- added new binary, gpgkey2ssh
- added docbook-utils buildrequires
- added docbookfix patch to fix detection of some docbook utilities

* Mon Sep  5 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.9.16-4mdk
- 64-bit fixes

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.9.16-3mdk
- Rebuild
- Fix smtpdaemon
- mkrel

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.16-2mdk 
- buildrequires libassuan-devel >= 0.6.9

* Wed May 18 2005 Arnaud de Lorbeau <devel@mandriva.com> 1.9.16-1mdk
- 1.9.16

* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 1.9.10-1mdk
- New version
- Remove P1 (upstream)

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 1.9.8-1mdk
- New version
- Use tarball instead, signed upstream
- Requires new libpth
- Patch1: Fix typo which prevents compilation

* Thu May  6 2004 Olivier Blin <blino@mandrake.org> 1.9.3-3mdk
- buildrequires
- rebuild for new libgcrypt

* Mon Jan 26 2004 Abel Cheung <deaddog@deaddog.org> 1.9.3-2mdk
- Rebuild with new libpth

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 1.9.3-1mdk
- First Mandrake package, based on spec of gnupg
- Patch0: Use ImageMagick to display photo by default
